package com.api.controller;

import com.common.utils.R;

public abstract class AbsctactController {
    protected R success() {
        return R.ok();
    }

    protected R success(String msg) {
        return R.ok(msg);
    }

    protected R error() {
        return R.error();
    }

    protected R error(String msg) {
        return R.error(msg);
    }

    protected R error(String code, String msg) {
        return R.error(code, msg);
    }
}
